#!/bin/sh

set -e
set -x

DIR="$(dirname "$(realpath "$0")")"
cd "$DIR"

install=0
[ -d .venv ] || install=1

if [ $install -eq 1 ]; then python3 -m venv .venv; fi
./.venv/bin/activate
if [ $install -eq 1 ]; then pip install -r requirements.txt; fi

./tgschedpub.py "$@"
